#!/bin/sh

CFG_FILE="/etc/opt/openit/openit.cfg"

if [ -e $CFG_FILE ]; then
	ROOT_DIR=$(grep '^ROOT_DIR' $CFG_FILE | tr -s ' ' | cut -d ' ' -f2)
	ROOT_TEMP_DIR=$(grep '^ROOT_TEMP_DIR' $CFG_FILE | tr -s ' ' | cut -d ' ' -f2)
	ver=`grep VERSION $ROOT_TEMP_DIR/inst/package/accserver.info | cut -d" " -f2 | cut -d "." -f 1-2 | tr -d '.'`
	if [ $ver -ge 65 ]; then
		cp -f source/smarty/pages/backscripts/disclaimer.js.php $ROOT_DIR/smarty/pages/backscripts/disclaimer.js.php
		cp -f source/html/rest/post_login.php $ROOT_DIR/html/rest/post_login.php
		cp -f source/html/complete_selection/report.html $ROOT_DIR/html/complete_selection/report.html
		cp -f source/smarty/pages/disclaimer.php $ROOT_DIR/smarty/pages/disclaimer.php
	fi
	if [ $ver -le 64 ]; then
		cp -f source/php64/smarty/pages/disclaimer.php $ROOT_DIR/smarty/pages/disclaimer.php
		cp -f source/php64/smarty/pages/header_nologin.php $ROOT_DIR/smarty/pages/header_nologin.php
	fi
	if [ $ver -eq 64 ]; then
		cp -f source/html/complete_selection/report.html $ROOT_DIR/html/complete_selection/report.html
	fi
else
	echo "No such file or directory!"
	exit 0
fi

exit 0
